Skip to main content
`Ctrl`+`K`

# DMStagGetEntries

get number of native entries in the global representation

## Synopsis

    #include "petscdmstag.h"
    #include "petscdmproduct.h"
    PetscErrorCode DMStagGetEntries(DM dm, PetscInt *entries)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameter

- entries - number of rank-native entries in the global representation

## Note

This is the number of entries on this rank for a global vector associated with `dm`. That is, it is value of `size` returned by `VecGetLocalSize(vec,&size)` when `DMCreateGlobalVector(dm,&vec) is used to create a` Vec`. Users would typically use these functions.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetDOF()`, `DMStagGetEntriesLocal()`, `DMStagGetEntriesPerElement()`, `DMCreateLocalVector()`

## Level

developer

## Location

src/dm/impls/stag/stagutils.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages